/**
 * @file
 *
 * Reload the page if we are on the fallback offline page.
 */

(function (Drupal) {

  // Reload page when user is back online on a fallback offline page.
  window.addEventListener('online', function () {
    var loc = window.location;
    // If the page displayed is the offline fallback, try a refresh when user
    // get back online.
    if (loc.pathname !== Drupal.settings.basePath + 'offline' && document.querySelector('[data-drupal-pwa-offline]')) {
      loc.reload();
    }
  });

}(Drupal));
