(function (Drupal, navigator, window) {
  'use strict';

  /**
   * @namespace
   */
  Drupal.pwa = {};

  // Feature detection for SW
  if (!('serviceWorker' in navigator)) {
    return;
  }

  // Install the serviceworker. Wait for page load to prevent delay of the
  // initial page load.
  window.addEventListener('load', function () {
    navigator.serviceWorker
      .register(Drupal.settings.pwa.path, {scope: Drupal.settings.basePath})
      .catch(function (error) {
        // Something went wrong.
        console.warn('Serviceworker Registration failed', error);
      });
  });

}(Drupal, navigator, window));
