
const pwaConsole = {};

((pwa, pwaConsole, console) => {
  const css = [
    `background: #5a0fc8`,
    `border-radius: 0.5em`,
    `color: white`,
    `font-weight: bold`,
    `padding: 2px 0.5em`,
  ].join(';');

  function log(type, ...params) {
    // Only log if logs are enabled or we're showing an error.
    if (pwa.debug || type === 'error') {
      console[type]('%cPWA', css, ...params);
    }
  }
  ['log', 'info', 'debug', 'error'].forEach(type => {
    pwaConsole[type] = (...params) => log(type, ...params);
  });


})(drupalPWASettings, pwaConsole, console);
