/**
 * @file
 * Returns the sha 256 of a string
 * @see https://developer.mozilla.org/en-US/docs/Web/API/SubtleCrypto/digest
 */

/**
 * Get the
 * @param message
 *
 * @returns {Promise<string>}
 */
function sha256(message) {
  return crypto.subtle
    .digest('SHA-256', new TextEncoder().encode(message))
    .then(function (hashBuffer) {
      return Array.from(new Uint8Array(hashBuffer))
        .map(function (b) {
          return b.toString(16).padStart(2, '0');
        })
        .join('');
    });
}
