/**
 * @file
 *
 * For anonymous users, save the endpoint informations in the browser cache.
 */

(function (Drupal, store, JSON) {

  var subs;

  /**
   * Return the subscriptions for the current user.
   */
  Drupal.pwa.webpush.subscription.list = function () {
    if (!subs) {
      subs = JSON.parse(store.getItem('pwa_webpush_subscription')) || {};
    }
    return subs;
  };

  /**
   * Return the subscriptions for the current user.
   */
  Drupal.pwa.webpush.subscription.list.add = function (json) {
    var currentSubs = Drupal.pwa.webpush.subscription.list();
    currentSubs[json.sid] = json.saved.endpoint_sha256;
    store.setItem('pwa_webpush_subscription', JSON.stringify(currentSubs));
  };

  /**
   * Return the subscriptions for the current user.
   */
  Drupal.pwa.webpush.subscription.list.remove = function (json) {
    var currentSubs = Drupal.pwa.webpush.subscription.list();
    delete currentSubs[json.sid];
    store.setItem('pwa_webpush_subscription', JSON.stringify(currentSubs));
  };



}(Drupal, localStorage, JSON));
