/**
 * @file
 */

((self, clients, console) => {

  self.addEventListener('push', (event) => {
    if (event.data) {
      const message = event.data.json();
      event.waitUntil(self.registration.showNotification(message.title, message));
    }
  });

  self.addEventListener('notificationclick', (event) => {
    const { notification } = event;

    notification.close();

    // By default open the homepage when clicking on the button.
    let url = self.location.origin + '/';
    if (notification.data && notification.data.url) {
      url = notification.data.url;
    }

    event.waitUntil(
      clients.matchAll({type: 'window'})
        .then(function(clientList) {
          // Check if a page is already opened with the destination. If that is
          // the case, focus that page.
          const urlOpened = clientList.find(client => client.url === url);
          if (urlOpened) {
            return urlOpened.focus();
          }
          // Nothing is opened on the destination url, open a new tab/window.
          return clients.openWindow(url);
        })
    );

  });

})(self, clients, pwaConsole);
