<?php

/**
 * @file
 * Views integration for the pwa_webpush module.
 */

/**
 * Implements hook_views_default_views().
 */
function pwa_webpush_views_default_views() {
  $view = new view();
  $view->name = 'webpush';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'pwa_webpush_subscription';
  $view->human_name = 'webpush';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'PWA Webpush Subscriptions';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'administer pwa webpush';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '25';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'name' => 'name',
    'created' => 'created',
    'last_used' => 'last_used',
    'expired' => 'expired',
    'endpoint_sha256_1' => 'endpoint_sha256_1',
    'json' => 'endpoint_sha256_1',
  );
  $handler->display->display_options['style_options']['class'] = '';
  $handler->display->display_options['style_options']['default'] = 'created';
  $handler->display->display_options['style_options']['info'] = array(
    'name' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'last_used' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'expired' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'endpoint_sha256_1' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => 'views-align-left',
      'separator' => '<br>',
      'empty_column' => 0,
    ),
    'json' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Relationship: PWA WebPush: User */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'pwa_webpush_subscription';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['required'] = TRUE;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  /* Field: PWA WebPush: Created */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'pwa_webpush_subscription';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['date_format'] = 'short';
  $handler->display->display_options['fields']['created']['second_date_format'] = 'long';
  /* Field: PWA WebPush: Last used */
  $handler->display->display_options['fields']['last_used']['id'] = 'last_used';
  $handler->display->display_options['fields']['last_used']['table'] = 'pwa_webpush_subscription';
  $handler->display->display_options['fields']['last_used']['field'] = 'last_used';
  $handler->display->display_options['fields']['last_used']['label'] = 'Last Used';
  $handler->display->display_options['fields']['last_used']['date_format'] = 'short';
  $handler->display->display_options['fields']['last_used']['second_date_format'] = 'long';
  /* Field: PWA WebPush: sha256 hash */
  $handler->display->display_options['fields']['endpoint_sha256_1']['id'] = 'endpoint_sha256_1';
  $handler->display->display_options['fields']['endpoint_sha256_1']['table'] = 'pwa_webpush_subscription';
  $handler->display->display_options['fields']['endpoint_sha256_1']['field'] = 'endpoint_sha256';
  $handler->display->display_options['fields']['endpoint_sha256_1']['label'] = 'Subscription data';
  /* Field: PWA WebPush: Subscription JSON data */
  $handler->display->display_options['fields']['json']['id'] = 'json';
  $handler->display->display_options['fields']['json']['table'] = 'pwa_webpush_subscription';
  $handler->display->display_options['fields']['json']['field'] = 'json';
  $handler->display->display_options['fields']['json']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['json']['alter']['text'] = '<details>
<summary>Subscription JSON</summary>
<pre>[json]</pre>
</details>';
  /* Filter criterion: User: Name */
  $handler->display->display_options['filters']['uid']['id'] = 'uid';
  $handler->display->display_options['filters']['uid']['table'] = 'users';
  $handler->display->display_options['filters']['uid']['field'] = 'uid';
  $handler->display->display_options['filters']['uid']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid']['value'] = '';
  $handler->display->display_options['filters']['uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['operator_id'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['label'] = 'Name';
  $handler->display->display_options['filters']['uid']['expose']['operator'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['identifier'] = 'uid';
  $handler->display->display_options['filters']['uid']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Not expired */
  $handler->display->display_options['filters']['expired']['id'] = 'expired';
  $handler->display->display_options['filters']['expired']['table'] = 'pwa_webpush_subscription';
  $handler->display->display_options['filters']['expired']['field'] = 'expired';
  $handler->display->display_options['filters']['expired']['ui_name'] = 'Not expired';
  $handler->display->display_options['filters']['expired']['operator'] = '<=';
  $handler->display->display_options['filters']['expired']['value']['value'] = '1980-01-01 00:00:00';
  $handler->display->display_options['filters']['expired']['expose']['operator_id'] = 'expired_op';
  $handler->display->display_options['filters']['expired']['expose']['label'] = 'Not expired';
  $handler->display->display_options['filters']['expired']['expose']['operator'] = 'expired_op';
  $handler->display->display_options['filters']['expired']['expose']['identifier'] = 'expired';
  $handler->display->display_options['filters']['expired']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['expired']['group_info']['label'] = 'Expired';
  $handler->display->display_options['filters']['expired']['group_info']['identifier'] = 'expired';
  $handler->display->display_options['filters']['expired']['group_info']['remember'] = FALSE;
  $handler->display->display_options['filters']['expired']['group_info']['group_items'] = array(
    1 => array(),
    2 => array(),
    3 => array(),
  );
  /* Filter criterion: PWA WebPush: Created */
  $handler->display->display_options['filters']['created']['id'] = 'created';
  $handler->display->display_options['filters']['created']['table'] = 'pwa_webpush_subscription';
  $handler->display->display_options['filters']['created']['field'] = 'created';
  $handler->display->display_options['filters']['created']['exposed'] = TRUE;
  $handler->display->display_options['filters']['created']['expose']['operator_id'] = 'created_op';
  $handler->display->display_options['filters']['created']['expose']['label'] = 'Created';
  $handler->display->display_options['filters']['created']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['created']['expose']['operator'] = 'created_op';
  $handler->display->display_options['filters']['created']['expose']['identifier'] = 'created';
  $handler->display->display_options['filters']['created']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: PWA WebPush: Last used */
  $handler->display->display_options['filters']['last_used']['id'] = 'last_used';
  $handler->display->display_options['filters']['last_used']['table'] = 'pwa_webpush_subscription';
  $handler->display->display_options['filters']['last_used']['field'] = 'last_used';
  $handler->display->display_options['filters']['last_used']['exposed'] = TRUE;
  $handler->display->display_options['filters']['last_used']['expose']['operator_id'] = 'last_used_op';
  $handler->display->display_options['filters']['last_used']['expose']['label'] = 'Last used';
  $handler->display->display_options['filters']['last_used']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['last_used']['expose']['operator'] = 'last_used_op';
  $handler->display->display_options['filters']['last_used']['expose']['identifier'] = 'last_used';
  $handler->display->display_options['filters']['last_used']['expose']['remember_roles'] = array(
    2 => '2',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'admin/config/pwa/notification/subscriptions/active';
  $handler->display->display_options['menu']['type'] = 'default tab';
  $handler->display->display_options['menu']['title'] = 'Active';
  $handler->display->display_options['menu']['description'] = 'Active subscriptions';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'tab';
  $handler->display->display_options['tab_options']['title'] = 'Subscriptions';
  $handler->display->display_options['tab_options']['weight'] = '0';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'PWA Webpush Expired Subscriptions';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  /* Field: PWA WebPush: Created */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'pwa_webpush_subscription';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['date_format'] = 'short';
  $handler->display->display_options['fields']['created']['second_date_format'] = 'long';
  /* Field: PWA WebPush: Last used */
  $handler->display->display_options['fields']['last_used']['id'] = 'last_used';
  $handler->display->display_options['fields']['last_used']['table'] = 'pwa_webpush_subscription';
  $handler->display->display_options['fields']['last_used']['field'] = 'last_used';
  $handler->display->display_options['fields']['last_used']['label'] = 'Last Used';
  $handler->display->display_options['fields']['last_used']['date_format'] = 'short';
  $handler->display->display_options['fields']['last_used']['second_date_format'] = 'long';
  /* Field: PWA WebPush: Expired */
  $handler->display->display_options['fields']['expired']['id'] = 'expired';
  $handler->display->display_options['fields']['expired']['table'] = 'pwa_webpush_subscription';
  $handler->display->display_options['fields']['expired']['field'] = 'expired';
  $handler->display->display_options['fields']['expired']['date_format'] = 'short';
  $handler->display->display_options['fields']['expired']['second_date_format'] = 'long';
  /* Field: PWA WebPush: sha256 hash */
  $handler->display->display_options['fields']['endpoint_sha256_1']['id'] = 'endpoint_sha256_1';
  $handler->display->display_options['fields']['endpoint_sha256_1']['table'] = 'pwa_webpush_subscription';
  $handler->display->display_options['fields']['endpoint_sha256_1']['field'] = 'endpoint_sha256';
  $handler->display->display_options['fields']['endpoint_sha256_1']['label'] = 'Subscription data';
  /* Field: PWA WebPush: Subscription JSON data */
  $handler->display->display_options['fields']['json']['id'] = 'json';
  $handler->display->display_options['fields']['json']['table'] = 'pwa_webpush_subscription';
  $handler->display->display_options['fields']['json']['field'] = 'json';
  $handler->display->display_options['fields']['json']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['json']['alter']['text'] = '<details>
<summary>Subscription JSON</summary>
<pre>[json]</pre>
</details>';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: User: Name */
  $handler->display->display_options['filters']['uid']['id'] = 'uid';
  $handler->display->display_options['filters']['uid']['table'] = 'users';
  $handler->display->display_options['filters']['uid']['field'] = 'uid';
  $handler->display->display_options['filters']['uid']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid']['value'] = '';
  $handler->display->display_options['filters']['uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['operator_id'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['label'] = 'Name';
  $handler->display->display_options['filters']['uid']['expose']['operator'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['identifier'] = 'uid';
  $handler->display->display_options['filters']['uid']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Not expired */
  $handler->display->display_options['filters']['expired']['id'] = 'expired';
  $handler->display->display_options['filters']['expired']['table'] = 'pwa_webpush_subscription';
  $handler->display->display_options['filters']['expired']['field'] = 'expired';
  $handler->display->display_options['filters']['expired']['ui_name'] = 'Not expired';
  $handler->display->display_options['filters']['expired']['operator'] = '>=';
  $handler->display->display_options['filters']['expired']['value']['value'] = '1980-01-01 00:00:00';
  $handler->display->display_options['filters']['expired']['expose']['operator_id'] = 'expired_op';
  $handler->display->display_options['filters']['expired']['expose']['label'] = 'Not expired';
  $handler->display->display_options['filters']['expired']['expose']['operator'] = 'expired_op';
  $handler->display->display_options['filters']['expired']['expose']['identifier'] = 'expired';
  $handler->display->display_options['filters']['expired']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['expired']['group_info']['label'] = 'Expired';
  $handler->display->display_options['filters']['expired']['group_info']['identifier'] = 'expired';
  $handler->display->display_options['filters']['expired']['group_info']['remember'] = FALSE;
  $handler->display->display_options['filters']['expired']['group_info']['group_items'] = array(
    1 => array(),
    2 => array(),
    3 => array(),
  );
  /* Filter criterion: PWA WebPush: Created */
  $handler->display->display_options['filters']['created']['id'] = 'created';
  $handler->display->display_options['filters']['created']['table'] = 'pwa_webpush_subscription';
  $handler->display->display_options['filters']['created']['field'] = 'created';
  $handler->display->display_options['filters']['created']['exposed'] = TRUE;
  $handler->display->display_options['filters']['created']['expose']['operator_id'] = 'created_op';
  $handler->display->display_options['filters']['created']['expose']['label'] = 'Created';
  $handler->display->display_options['filters']['created']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['created']['expose']['operator'] = 'created_op';
  $handler->display->display_options['filters']['created']['expose']['identifier'] = 'created';
  $handler->display->display_options['filters']['created']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: PWA WebPush: Expired */
  $handler->display->display_options['filters']['expired_1']['id'] = 'expired_1';
  $handler->display->display_options['filters']['expired_1']['table'] = 'pwa_webpush_subscription';
  $handler->display->display_options['filters']['expired_1']['field'] = 'expired';
  $handler->display->display_options['filters']['expired_1']['exposed'] = TRUE;
  $handler->display->display_options['filters']['expired_1']['expose']['operator_id'] = 'expired_1_op';
  $handler->display->display_options['filters']['expired_1']['expose']['label'] = 'Expired';
  $handler->display->display_options['filters']['expired_1']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['expired_1']['expose']['operator'] = 'expired_1_op';
  $handler->display->display_options['filters']['expired_1']['expose']['identifier'] = 'expired_1';
  $handler->display->display_options['filters']['expired_1']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: PWA WebPush: Last used */
  $handler->display->display_options['filters']['last_used']['id'] = 'last_used';
  $handler->display->display_options['filters']['last_used']['table'] = 'pwa_webpush_subscription';
  $handler->display->display_options['filters']['last_used']['field'] = 'last_used';
  $handler->display->display_options['filters']['last_used']['exposed'] = TRUE;
  $handler->display->display_options['filters']['last_used']['expose']['operator_id'] = 'last_used_op';
  $handler->display->display_options['filters']['last_used']['expose']['label'] = 'Last used';
  $handler->display->display_options['filters']['last_used']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['last_used']['expose']['operator'] = 'last_used_op';
  $handler->display->display_options['filters']['last_used']['expose']['identifier'] = 'last_used';
  $handler->display->display_options['filters']['last_used']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['path'] = 'admin/config/pwa/notification/subscriptions/expired';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Expired';
  $handler->display->display_options['menu']['weight'] = '10';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  $views = array();
  $views[$view->name] = $view;
  return $views;
}
